Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.adk.queue
Class IfsMessageProcessor

    java.lang.Object
      oracle.ifs.adk.queue.IfsMessageProcessor

All Implemented Interfaces:
  MessageProcessor

    public class IfsMessageProcessor

extends java.lang.Object
implements MessageProcessor

IfsMessageProcessor implements MessageProcessor interface and provides facility for logging messages into Queue agent's logfile.

(Published)

Field Summary
`protected Server` | `m_server` Handle to the server (agent) that is using this class.

Constructor Summary
`IfsMessageProcessor()`

Method Summary
`void` | `handleExceptionQueueMessage(oracle.sql.ORAData message, LibrarySession sess)` This throws an exception.
`void` | `handleMessage(oracle.sql.ORAData message, LibrarySession sess)` This throws an exception.
`void` | `log(int level, java.lang.String message)` Logs the specified message.
`void` | `log(int level, java.lang.String message, java.lang.Throwable throwable)` Logs the specified message and throwable, as a single log entry.
`void` | `log(int level, java.lang.Throwable throwable)` Logs the specified throwable.
`boolean` | `readyForDequeue(LibrarySession sess)` Should we even attempt a dequeue ? IfsMessageProcessor always says 'yes'.
`void` | `setServer(Server server)` Sets up the server (agent) that is using this class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_server

    protected Server m_server

  Description copied from class: `IfsMessageProcessor`
  Handle to the server (agent) that is using this class. This will be used to log message processor logs to the agent's log file.

  (Unpublished)

Constructor Detail

### IfsMessageProcessor

    public IfsMessageProcessor()

Method Detail

### setServer

    public void setServer(Server server)
                   throws IfsException

  Description copied from class: `IfsMessageProcessor`
  Sets up the server (agent) that is using this class.

  Specified by:
    `setServer` in interface `MessageProcessor`
  Parameters:
    `server` - handle to the agent object
  Throws:
    `IfsException` - if the operation fails
  (Published)

### handleMessage

    public void handleMessage(oracle.sql.ORAData message,
                              LibrarySession sess)
                       throws IfsException

  Description copied from class: `IfsMessageProcessor`
  This throws an exception. IfsMessageProcessor does not know how to deal with messages. Subclasses have to override this method.

  Specified by:
    `handleMessage` in interface `MessageProcessor`
  Parameters:
    `message` - message that needs to be processed
    `sess` - handle to the LibrarySession to process message
  Throws:
    `IfsException` - if the opeeration fails
  (Published)

### handleExceptionQueueMessage

    public void handleExceptionQueueMessage(oracle.sql.ORAData message,
                                            LibrarySession sess)
                                     throws IfsException

  Description copied from class: `IfsMessageProcessor`
  This throws an exception. IfsMessageProcessor does not know how to deal with messages. Subclasses have to override this method.

  Specified by:
    `handleExceptionQueueMessage` in interface `MessageProcessor`
  Parameters:
    `message` - exception-message that needs to be processed
    `sess` - handle to the LibrarySession to process message
  Throws:
    `IfsException` - if the opeeration fails
  (Published)

### readyForDequeue

    public boolean readyForDequeue(LibrarySession sess)
                            throws IfsException

  Description copied from class: `IfsMessageProcessor`
  Should we even attempt a dequeue ? IfsMessageProcessor always says 'yes'. Applications should override this as necessary.

  Specified by:
    `readyForDequeue` in interface `MessageProcessor`
  Parameters:
    `sess` - handle to the LibrarySession; provided for convenience
  Returns:
    true if we should dequeue; false otherwise
  Throws:
    `IfsException` - if the method fails
  (Published)

### log

    public void log(int level,
                    java.lang.String message)

  Description copied from class: `IfsMessageProcessor`
  Logs the specified message. If the setServer method has been called prior to this method, then the log is written to the corresponding servers log file. Otherwise, it is written to standard out. Level parameter shown below is used only when writing to agent's log file.

  Parameters:
    `level` - the minimum logging level for the message to be logged
    `message` - the message
  (Published)

### log

    public void log(int level,
                    java.lang.Throwable throwable)

  Description copied from class: `IfsMessageProcessor`
  Logs the specified throwable. If the setServer method has been called prior to this method, then the log is written to the corresponding servers log file. Otherwise, it is written to standard out. Level parameter shown below is used only when writing to agent's log file.

  Parameters:
    `level` - the minimum logging level for the message to be logged
    `throwable` - the throwable
  (Published)

### log

    public void log(int level,
                    java.lang.String message,
                    java.lang.Throwable throwable)

  Description copied from class: `IfsMessageProcessor`
  Logs the specified message and throwable, as a single log entry. If the setServer method has been called prior to this method, then the log is written to the corresponding servers log file. Otherwise, it is written to standard out. Level parameter shown below is used only when writing to agent's log file.

  Parameters:
    `level` - the minimum logging level for the message to be logged
    `message` - the message
    `throwable` - the throwable
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD